ros-rolling-image-rotate (7.1.0-1noble) noble; urgency=high

  * Replace deprecated tf2_ros headers (#1110 <https://github.com/ros-perception/image_pipeline/issues/1110>)
  * Replace rmq_qos_profile_t with rclcpp::QoS (#1106 <https://github.com/ros-perception/image_pipeline/issues/1106>)
  * Update index.ros.org package website links (#1101 <https://github.com/ros-perception/image_pipeline/issues/1101>)
  * Contributors: Alejandro Hernández Cordero, Christophe Bedard

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 28 Jul 2025 22:00:00 -0000

ros-rolling-image-rotate (7.0.0-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 18 May 2025 22:00:00 -0000

ros-rolling-image-rotate (6.0.10-1noble) noble; urgency=high

  * fix depth_image_proc launch files (#1077 <https://github.com/ros-perception/image_pipeline/issues/1077>)
  * Contributors: Christian Rauch

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Feb 2025 23:00:00 -0000

ros-rolling-image-rotate (6.0.9-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Feb 2025 23:00:00 -0000

ros-rolling-image-rotate (6.0.8-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 09 Feb 2025 23:00:00 -0000

ros-rolling-image-rotate (6.0.7-1noble) noble; urgency=high

  * Deprecating tf2 C Headers (#1039 <https://github.com/ros-perception/image_pipeline/issues/1039>)
    Related to this [pull
    request](https://github.com/ros2/geometry2/pull/720) in geometry2 in
    which we deprecated the .h style headers in favor of .hpp.
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Lucas Wendland

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 26 Dec 2024 23:00:00 -0000

ros-rolling-image-rotate (6.0.6-1noble) noble; urgency=high

  * add image_flip node (#942 <https://github.com/ros-perception/image_pipeline/issues/942>)
    This is a continuation of
    https://github.com/ros-perception/image_pipeline/pull/756:
    * [x] Squashed 16 commits in original PR for ease of rebase/review
    * [x] Moved node into image_rotate package
    * [x] Added lazy subscriber
    * [x] Removes QoS parameters - will add proper QoS overrides in a
    different PR (when we do the same for image_rotate)
    * [x] Adds documentation
    ---------
    Co-authored-by: David Conner <mailto:robotics@cnu.edu>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 10 Dec 2024 23:00:00 -0000

ros-rolling-image-rotate (6.0.5-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 29 Oct 2024 23:00:00 -0000

ros-rolling-image-rotate (6.0.4-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 15 Oct 2024 22:00:00 -0000

ros-rolling-image-rotate (6.0.3-1noble) noble; urgency=high

  * Publish using unique ptr (#1016 <https://github.com/ros-perception/image_pipeline/issues/1016>)
    Prevents doing an extra copy of the data when using intra-process
    communication.
  * Finish QoS updates (#1019 <https://github.com/ros-perception/image_pipeline/issues/1019>)
    This implements the remainder of #847 <https://github.com/ros-perception/image_pipeline/issues/847>:
    - Make sure publishers default to system defaults (reliable)
    - Add QoS overriding where possible (some of the image_transport /
    message_filters stuff doesn't really support that)
    - Use the matching heuristic for subscribers consistently
  * Contributors: Błażej Sowa, Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Aug 2024 22:00:00 -0000

ros-rolling-image-rotate (6.0.2-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 22 Jul 2024 22:00:00 -0000

ros-rolling-image-rotate (6.0.1-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 21 Jul 2024 22:00:00 -0000

ros-rolling-image-rotate (6.0.0-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 May 2024 22:00:00 -0000

ros-rolling-image-rotate (5.0.1-1noble) noble; urgency=high

  * fix image publisher remapping (#941 <https://github.com/ros-perception/image_pipeline/issues/941>)
    Addresses #940 <https://github.com/ros-perception/image_pipeline/issues/940> - fixes the compressed/etc topic remapping for publishers
  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * add docs for image_rotate/publisher (#936 <https://github.com/ros-perception/image_pipeline/issues/936>)
  * Contributors: Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 23:00:00 -0000

ros-rolling-image-rotate (5.0.0-1noble) noble; urgency=high

  * Removed cfg files related with ROS 1 parameters (#911 <https://github.com/ros-perception/image_pipeline/issues/911>)
    Removed cfg files related with ROS 1 parameters
  * image_rotate: clean up (#862 <https://github.com/ros-perception/image_pipeline/issues/862>)
    This is the first component/node with a cleanup pass to be fully
    implemented:
    * Fix #740 <https://github.com/ros-perception/image_pipeline/issues/740> by initializing vectors. Do this by declaring parameters
    AFTER we define the callback
    * Implement lazy subscribers (I missed this in the earlier PRs)
    * Add image_transport parameter so we can specify that desired transport
    of our subscriptions
    * Update how we test for connectivity (and update the debug message -
    has nothing to do with whether we are remapped, it's really about
    whether we are connected)
  * load image_rotate::ImageRotateNode as component (#855 <https://github.com/ros-perception/image_pipeline/issues/855>)
    This is a fixed version of #820 <https://github.com/ros-perception/image_pipeline/issues/820> - targeting rolling
  * add myself as a maintainer (#846 <https://github.com/ros-perception/image_pipeline/issues/846>)
  * Contributors: Alejandro Hernández Cordero, Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jan 2024 23:00:00 -0000

ros-rolling-image-rotate (3.0.1-1noble) noble; urgency=high

  * Replace deprecated headers
    Fixing compiler warnings.
  * Contributors: Jacob Perron

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 23:00:00 -0000

ros-rolling-image-rotate (3.0.0-1noble) noble; urgency=high

  * Cleanup the image_rotate package.
  * Replace deprecated geometry2 headers
  * revert a293252
  * Replace deprecated geometry2 headers
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Contributors: Chris Lalancette, Jacob Perron, Patrick Musau

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-image-rotate (2.2.1-1noble) noble; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 22:00:00 -0000

ros-rolling-image-rotate (2.2.0-1noble) noble; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Contributors: Jacob Perron, Joshua Whitley
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 22:00:00 -0000

ros-rolling-image-rotate (1.12.23-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-rolling-image-rotate (1.12.22-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-rolling-image-rotate (1.12.21-1noble) noble; urgency=high

  * [image_rotate] Added TF timeout so that transforms only need to be newer than last frame. (#293 <https://github.com/ros-perception/image_pipeline/issues/293>)
  * Contributors: mhosmar-cpr

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-rolling-image-rotate (1.12.20-1noble) noble; urgency=high

  * Fix CMake warnings about Eigen.
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-rolling-image-rotate (1.12.19-1noble) noble; urgency=high

  * Fix frames if it is empty to rotate image
  * Contributors: Kentaro Wada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000

ros-rolling-image-rotate (1.12.18-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 22:00:00 -0000

ros-rolling-image-rotate (1.12.17-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-rolling-image-rotate (1.12.16-1noble) noble; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 23:00:00 -0000

ros-rolling-image-rotate (1.12.15-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-rolling-image-rotate (1.12.14-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 21 Jul 2015 22:00:00 -0000

ros-rolling-image-rotate (1.12.13-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 22:00:00 -0000

ros-rolling-image-rotate (1.12.12-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Dec 2014 23:00:00 -0000

ros-rolling-image-rotate (1.12.11-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 25 Oct 2014 22:00:00 -0000

ros-rolling-image-rotate (1.12.10-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 27 Sep 2014 22:00:00 -0000

ros-rolling-image-rotate (1.12.9-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-rolling-image-rotate (1.12.8-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 Aug 2014 22:00:00 -0000

ros-rolling-image-rotate (1.12.6-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-rolling-image-rotate (1.12.4-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 22:00:00 -0000

ros-rolling-image-rotate (1.12.3-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Apr 2014 22:00:00 -0000

ros-rolling-image-rotate (1.12.2-1noble) noble; urgency=high

  * use NODELET_** macros instead of ROS_** macros
  * use getNodeHandle rather than getPrivateNodeHandle
  * add executable to load image_rotate/image_rotate nodelet.
    add xml file to export nodelet definition.
    Conflicts:
    image_rotate/package.xml
  * make image_rotate nodelet class
    Conflicts:
    image_rotate/CMakeLists.txt
    image_rotate/package.xml
    image_rotate/src/nodelet/image_rotate_nodelet.cpp
  * move image_rotate.cpp to nodelet directory according to the directory convenstion of image_pipeline
  * Contributors: Ryohei Ueda

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-rolling-image-rotate (1.12.1-1noble) noble; urgency=high

  * replace tf usage by tf2 usage

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 05 Apr 2014 22:00:00 -0000


